Package org.opensaml.saml.saml1.core.impl

# Class SubjectQueryMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.saml.common.AbstractSAMLObjectMarshaller
org.opensaml.saml.saml1.core.impl.SubjectQueryMarshaller

All Implemented Interfaces:
  `Marshaller`

Direct Known Subclasses:
  `AttributeQueryMarshaller`, `AuthenticationQueryMarshaller`, `AuthorizationDecisionQueryMarshaller`

public abstract class SubjectQueryMarshaller extends AbstractSAMLObjectMarshaller
A thread safe Marshaller for `SubjectQuery` objects.

## Constructor Summary

Constructors
Constructor
Description
`SubjectQueryMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectMarshaller

`marshall, marshall, marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubjectQueryMarshaller

public SubjectQueryMarshaller()